#ifndef SYSTEM_SERVICE_H
#define SYSTEM_SERVICE_H TRUE

/*
**  service.h
**
**  (C) Copyright 2002 Rocklyte Systems.
**      All Rights Reserved.
**
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/*****************************************************************************
** Service methods.
*/

struct mtCallService {
   APTR Args;
   LONG ArgSize;
   MEMORYID MessageQueue;
};

#define MT_CallService -1

/*****************************************************************************
** Service messages.
*/

struct msgCallService {
   ERROR    Error;      /* Error code resulting from service execution */
   OBJECTID ObjectID;   /* Special field: Object resulting from service execution */
   OBJECTID ServiceID;  /* The ID of the object that performed the service */
};

#endif /* SYSTEM_CLASS_H */
